> For the complete documentation index, see [llms.txt](https://docs.verge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verge.io/knowledge-base/zh/automation-api/api-tables-description.md).

# API 表说明

以下是每个 API 表的简要说明。要了解更多详情，请添加 **/#swagger** 到 VergeUI 的 URL 末尾（或导航到 **System->API Documentation**）。Swagger 提供有关每个表的详细信息，并允许你使用 Get/Post/Put/Delete 操作测试每个方法。有关如何集成 API 的更多说明，请参阅 [API Documentation](/knowledge-base/zh/automation-api/verge-api-guide.md) 页面。

## API 表

### auth\_source\_states

提供认证源状态列表。

### auth\_sources

用于管理 OpenID 或 AzureAD 等授权源的授权源表。

### billing

用于获取当前环境的账单信息。这些信息以带有起始日期和结束日期的账单数据形式存储。

### billing\_actions

用于发送账单操作。主要操作是“generate”，它会创建一张新账单。

* **字段：**
  * **action** ：请参见下面的操作列表。
* **操作：**
  * **generate** ：生成账单
* **示例：**

  ```plaintext
  URL: '/v4/billing_actions'
  POST(JSON): {"action": "generate"}
  ```

### catalog\_logs

与目录相关的日志。

### catalog\_repositories

目录、日志、权限等的目录仓库及子列表。

### catalog\_repository\_actions

用于发送目录仓库操作。

* **字段：**
  * **repository** ：要刷新的仓库的行 ID。
  * **action** ：默认操作为 refresh。请参见下面的操作列表。
* **操作：**
  * **refresh** ：刷新目录仓库。
* **示例：**

  ```plaintext
  URL: '/v4/catalog_repository_actions'
  POST(JSON): {"repository": 1, "action": "refresh"}
  ```

### catalog\_repository\_logs

查看并发布目录仓库日志。

### catalog\_repository\_status

用于存储和更新目录仓库状态。这些状态决定目录仓库的状态和情况。

### catalogs

允许你更新/发布/删除目录的目录表。

### certificates

你站点的 SSL 证书。

### clone\_iso

存储 Verge.io Clone ISO 程序的信息和状态。

### Clone ISO 功能的操作。

：默认值为“update”。请参见下面的操作列表。

* **字段：**
  * **action** ：默认值为“update”。请参见下面的操作列表。
* **操作：**
  * **update** ：更新 ISO 镜像。
  * **delete** ：删除 ISO 镜像。
  * **cancel** ：取消当前构建。
* **示例：**

  ```plaintext
  URL: '/v4/clone_iso_actions'
  POST(JSON): {"action": "update"}
  ```

### cloud\_restore

在执行云恢复时存储信息。

### cloud\_snapshot\_actions

系统快照功能的操作。

### cloud\_snapshot\_tenant\_actions

租户系统快照功能的操作。

### cloud\_snapshot\_tenants

租户的系统快照。

### cloud\_snapshot\_vm\_actions

VM 和系统快照的操作。

### cloud\_snapshot\_vms

用于在系统快照下载到 VM 时存储信息。

### cloud\_snapshots

系统快照表包含有关系统快照的信息，以及 VM、租户和同步队列列表。可用于查看系统快照中包含哪些 VM。

### cloudinit\_files

Cloudinit 文件功能的操作。

### cluster\_actions

Cluster Actions 用于发送集群操作。

* **字段：**
  * **cluster** ：集群行 ID（必需）。
  * **action** ：请参见下面的操作列表。
  * **params** ：以 JSON 形式提供的参数（可选）。
* **操作：**
  * **shutdown** ：关闭集群。
  * **cancel\_shutdown** ：取消当前关机请求。
* **示例：**

  ```plaintext
  URL: '/v4/cluster_actions'
  POST(JSON): {"cluster": 1, "action": "shutdown", "params": "{}"}
  ```

### cluster\_stats\_history\_long

cluster\_stats\_history\_long 表保存较长时间段的集群统计历史。

### cluster\_stats\_history\_short

cluster\_stats\_history\_short 表保存短时间段的集群统计信息，存储最近的统计数据以便快速访问。

### cluster\_status

处理所有集群的状态。

### cluster\_tier\_stats

处理集群的 vSAN 分层统计信息。

### cluster\_tier\_stats\_history\_long

保存集群分层较长时间段的历史统计信息。

### cluster\_tier\_stats\_history\_short

保存集群分层较短时间段的历史统计信息，存储最近的统计数据以便快速访问。

### cluster\_tier\_status

用于集群分层状态。

### cluster\_tiers

保存集群的分层列表。

### clusters

集群数据的主表。

### file\_actions

file\_actions 表发送文件操作。

* **字段：**
  * **file** ：files 表中的文件 ID（必需）。
  * **action** ：请参见下面的操作列表。
  * **params** ：以 JSON 形式提供的参数（可选）。
* **操作：**
  * **overwrite** ：覆盖文件。
  * **add\_link** ：添加文件链接。
  * **delete\_link** ：删除文件链接。
  * **delete\_reference** ：删除文件引用。
* **示例：**

  ```plaintext
  URL: '/v4/file_actions'
  POST(JSON): {"file": 1, "action": "add_link", "params": "{}"}
  ```

### files

与已存储文件相关的信息。

### files\_public\_links

处理文件的公共链接。

### group\_logs

与组相关的日志。

### groups

组管理表。

### help\_actions

处理帮助相关操作。

### help\_search

帮助文档搜索表。

### licenses

处理 VergeOS 许可证。

### logs

处理系统日志。

### machine\_console

处理机器控制台交互。

### machine\_console\_active

跟踪活跃的机器控制台会话。

### machine\_console\_active\_chat

跟踪活跃机器控制台中的聊天交互。

### machine\_device\_gpu\_stats\_history\_long

保存较长时间段的 GPU 历史统计信息。

### machine\_device\_gpu\_stats\_history\_short

保存较短时间段的 GPU 历史统计信息。

### machine\_device\_settings\_nvidia\_vgpu

处理 Nvidia vGPU 设备设置。

### machine\_device\_settings\_tpm

处理 TPM 设备设置。

### machine\_device\_stats

跟踪设备统计信息。

### machine\_device\_status

跟踪设备状态。

### machine\_devices

机器设备信息表。

### machine\_drive\_phys

机器的物理驱动器数据。

### machine\_drive\_stats

机器的驱动器统计信息。

### machine\_drive\_stats\_history\_long

保存较长时间段的驱动器历史统计信息。

### machine\_drive\_stats\_history\_short

保存较短时间段的驱动器历史统计信息。

### machine\_drive\_status

跟踪机器的驱动器状态。

### machine\_drives

机器驱动器表。

### machine\_logs

跟踪机器日志。

### machine\_nic\_stats

机器的 NIC 统计信息。

### machine\_nic\_stats\_history\_long

长期 NIC 历史统计信息。

### machine\_nic\_stats\_history\_short

短期 NIC 历史统计信息。

### machine\_nic\_status

机器的 NIC 状态。

### machine\_nics

机器中 NIC 的表。

### machine\_snapshots

跟踪机器快照。

### machine\_stats

机器的通用统计信息。

### machine\_stats\_history\_long

机器的长期历史统计信息。

### machine\_stats\_history\_short

机器的短期历史统计信息。

### machine\_status

跟踪机器状态。

### machines

机器数据的主表。

***

{% hint style="info" %}
**文档信息**

* 最后更新：2024-08-29
* vergeOS 版本：4.12.6
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verge.io/knowledge-base/zh/automation-api/api-tables-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
